{% load static %}
<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!--Arquivos Javascript remoto-->
  <script type="text/javascript" charset="utf8" src="https://code.jquery.com/jquery-3.3.1.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/buttons/1.6.1/js/dataTables.buttons.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.html5.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.8.4/moment.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/plug-ins/1.10.20/sorting/datetime-moment.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.colVis.min.js"></script>

  <!--Arquivos CSS remotos-->
  <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/icon?family=Material+Icons">
  <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.20/css/jquery.dataTables.min.css">
  <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/1.6.1/css/buttons.dataTables.min.css">

  <!--Arquivos CSS locais-->
  <link rel='stylesheet' type='text/css' href="{% static 'css/topnav_copy.css' %}">
  <link rel='stylesheet' type='text/css' href="{% static 'css/post_list_copy.css' %}">
 
 </head>

<body>
  <!--Menu superior-->
  <ul class="topnav">
    <li>
      <img class="logo" src="{% static 'img/logo.jpeg' %}" style="width:70%" >   
      Trippin
    </li>
    <div style="margin-left: 220px; margin-right: 150px;">
    <li class="active"><a href="{% url 'init_page' %}">Pagina inicial</a></li>
    <li class="active"><a href="{% url 'page_hotel' %}">Hoteis</a></li>
    <li class="active"><a href="{% url 'page_restaurant' %}">Restaurantes</a></li>
    <li class="active"><a href="{% url 'page_attractions' %}">Atrações</a></li>
    <li class="active"><a href="{% url 'human_user' %}">Perfil</a></li>
    <li class="active"><a href="{% url 'trippin_post' %}">Postar</a></li>
    <li class="active"><a href="{% url 'post_list' %}">Timeline</a></li>
    </div>
    {% if request.user %}
    <li class="logout"><a href="{% url 'logout' %}">Logout</a></li>
    {% endif%}
  </ul>

  <!--Titulo e logo-->
  <div>
    <h1>
      <br>
      Timeline
      <br>
    </h1>
  </div>

  <div class="span2">
    <div class="conteudo-2-2">
      <div class="container">
          <div class="row">
            <div class="col-sm-6">
      {% block content %}
          {% for post in posts %}
        <div class="card" style="margin: 50px;">
            <div class="card_header" style="margin-bottom: 10;">
                <div class="profile_image" style="max-width: 50px; float: left; margin-right: 10;">
                  <img src="{{ post.author.profile.profile_photo.url }}" alt="">
                  
              </div>
              <div style="margin-left: 10;">
              <div class="post_info" "timeline">
                  <div class="post_name"><h3 href="{% url 'human_user' %}">{{ post.author }}</h3></div>
                  <div class="post_location">  <small><cite title="Source Title" href="{% url 'human_user' %}"> {{ user_location }} <i class="icon-map-marker"></i></cite></small>   </div>
              </div>
            </div>

          
              <div class="post_options" "timeline" "event"> <button data-toggle="modal" data-target="#menu_modal" ><p ><i class="fas fa-ellipsis-h"></i></p></button></div>
          </div>
          
          <div class="modal" id="menu_modal">
              <div class="modal-dialog">
                  <div class="modal-content">
                      <ul class='list-unstyled menu'>
                          <!--<li><a class="text-reset" href="{% url 'post_update' post.id %}">Edit</a></li>
                          <li><a class="text-reset" href="{% url 'post_delete' post.id %}">Delete</a></li>-->
                          <li><a class="text-reset" href="details/{{ post.id }}">Details</a></li>
                          <!--<li><a class="text-reset close" data-dismiss="modal" href="">Cancel</a></li>-->
                      </ul>
                  </div>
              </div>
          </div>
          
          <div class="post_image" style="width: 30rem" >
            {% if post.image %}
                    <img src="{{ post.image.url }}" alt="Photo">
            {% endif %}
        </div>
        <div class="engagement">
            <a href="{% url 'post_detail' post.id %}"><i class="far fa-comment"></i></a>
            <a href=""><i class="far fa-share-square"></i></a>
            <a href="{% url 'like_toggle' post.id %}"><i class="fas fa-heart"></i></a>
            <a href="" class="fa-bookmarks"><i class="far fa-bookmark"></i></a>
        </div>
        <div class="likes">
          <a href="#">{{ post.likes.count }} likes</a>
        </div>
        <div class="caption">
            <span><p><a href="#" style="margin-right: 20;">{{ post.author | linebreaksbr }}</a></p></span>    
        </div>
        <div>
          <span><p><a style="margin-left: 10;">{{ post.caption | linebreaksbr | truncatechars:60 }}</a></p></span>
        </div>
        <div class="time_posted">
            {{post.created_date | timesince}} ago
        </div>
  
      </div>
  {% endfor %}
  {% endblock %}
</html>

<style>

  .conteudo-2-1 {
      float:left;
      width: 30%;
  }
  .conteudo-2-2 {
      float:right;
      width:70%;
  align-content: center;}

  .topnav{
  overflow: hidden;
  background-color: #B4B4B7;
  list-style-type: none;
  border-radius: 20px;
  margin: 0 0;
  padding: 0 0;
}

  .topnav li {
  float: left;
  margin-top: 25px; 
  margin-left: 25px;
}

.topnav li.logout
{
  background-color: #373ca0;
  color: white;
  margin-top: 25px;
  margin-right: 25px;
  float: right;
}

  img {
      display: block;
      margin-left: 0;
      margin-right: -430px;
      border-right: -10px;
      padding: 0 0;
      max-width: 500px;
    }

    .topnav li.active
{
  background-color: #a1c1d3;
  color: #ffffff;
  margin: 25px 25px;
  border-radius: 10px;
  text-align: left;
}
    
  
  </style>